Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 460293 - SQLDriverConnect fails - hwnd=0, completionFlag = SQL_DRIVER_COMPLETE
Summary: SQLDriverConnect fails - hwnd=0, completionFlag = SQL_DRIVER_COMPLETE
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: mysql-connector-odbc
Version: 5.4
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: rc
: ---
Assignee: Tom Lane
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-08-27 12:45 UTC by Adam Stokes
Modified: 2018-10-20 03:04 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
mysql-connector-odbc has been updated to version 3.51.26r1127 to fix various bugs. This is a minor version update that is not expected to create any compatibility issues.
Clone Of:
Environment:
Last Closed: 2009-09-02 09:46:38 UTC
Target Upstream Version:


Attachments (Terms of Use)
patch (566 bytes, patch)
2008-08-27 12:46 UTC, Adam Stokes
no flags Details | Diff


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2009:1290 0 normal SHIPPED_LIVE mysql-connector-odbc bug fix update 2009-09-01 09:59:38 UTC

Description Adam Stokes 2008-08-27 12:45:18 UTC
Description of problem:
SQLDriverConnect fails - hwnd=0, completionFlag = SQL_DRIVER_COMPLETE
http://bugs.mysql.com/bug.php?id=33645

Version-Release number of selected component (if applicable):
mysql-connector-odbc-3.51.x

How reproducible:
100 %

Steps to Reproduce:
From bugzilla @ http://bugs.mysql.com/bug.php?id=33645

SQLDriverConnect( hdbc, 
                           0 /*hwnd*/,
                           ( SQLCHAR * ) szConnect, 
                           ( SQLSMALLINT ) strlen( szConnect ),
                           ( SQLCHAR * ) szConnStrOut, 
						   cbConnStrOutMax, 
						   &cbConnStrOut,
                           SQL_DRIVER_COMPLETE );

  
Actual results:
an exception is thrown (setup cannot be opened)

Expected results:
no exception

Additional info:
http://bugs.mysql.com/bug.php?id=33645

Comment 1 Adam Stokes 2008-08-27 12:46:24 UTC
Created attachment 315088 [details]
patch

Comment 21 Tom Lane 2009-04-08 23:30:41 UTC
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
mysql-connector-odbc has been updated to version 3.51.26r1127 to fix various bugs.  This is a minor version update that is not expected to create any compatibility issues.

Comment 26 errata-xmlrpc 2009-09-02 09:46:38 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1290.html


Note You need to log in before you can comment on or make changes to this bug.